com.genesyslab.wfm8.API.service.schedule850

## Class SchTeamAssignment

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule850.SchTeamAssignment

- All Implemented Interfaces:
    java.io.Serializable

      public class SchTeamAssignment
      extends java.lang.Object
      implements java.io.Serializable

  Profile Team Assignment to real team
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmProfileTeamId`
    `protected int` | `wmTeamId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchTeamAssignment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmProfileTeamId()` Gets the value of the wmProfileTeamId property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setWmProfileTeamId(int value)` Sets the value of the wmProfileTeamId property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `SchTeamAssignment` | `withWmProfileTeamId(int value)`
    `SchTeamAssignment` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmProfileTeamId

          protected int wmProfileTeamId

    - #### wmTeamId

          protected int wmTeamId

  - ### Constructor Detail

    - #### SchTeamAssignment

          public SchTeamAssignment()

  - ### Method Detail

    - #### getWmProfileTeamId

          public int getWmProfileTeamId()

      Gets the value of the wmProfileTeamId property.

    - #### setWmProfileTeamId

          public void setWmProfileTeamId(int value)

      Sets the value of the wmProfileTeamId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### withWmProfileTeamId

          public SchTeamAssignment withWmProfileTeamId(int value)

    - #### withWmTeamId

          public SchTeamAssignment withWmTeamId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.